Subject: bug#35624: log-view-diff regression

From: Juri Linkov <[email-masked]>
Date: Tue, 14 May 2019 23:29:34 +0300

>> Do you remember that in older versions
>> there was a header in the *vc-change-log* buffer?
>
> Sorry, I don't. Can you find the change that removed it?

I don't remember what VC backend produced such header, maybe
vc-bzr or vc-svn.  Or probably vc-cvs because CVS has the same
header as RCS, and I can easily check what headers RCS produces
because it doesn't require any configuration.  For brevity
only essential part of RCS log is left here for demonstration:

Working file:
----------------------------
revision 1.4
----------------------------
revision 1.3
----------------------------
revision 1.2
----------------------------
revision 1.1

When the beginning of the region is on the "Working file" line
in the header, and the end of the region is on a revision line,
e.g. "revision 1.4", then typing `=' displays:

  No changes between 1.4 and workfile

and if the current workfile has some changes, then differences
between 1.4 and workfile are displayed.

This means that RCS supports this nice feature, but Git doesn't.

>> +      (with-current-buffer buffer
>> +	(insert "Working\n")
>
> How does the result look? Just the word "Working" at the beginning of
> the buffer?

If the word "Working" is too ambiguous, then at least an empty line
at the beginning of the buffer will enable this feature for Git.